TREC 2001 VideoTrack: Shot Boundary Task Evaluation: Class Transition

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Transition

    java.lang.Object
      |
      +--Transition

public class Transition
extends java.lang.Object

This class represents a shot transition. A shot boundary or transition is defined by its pre frame and its post frame. These frames are respectively the last and first frame before and after the beginning of the transition. The transition could be a short one (CUT) with its post right after the pre frame or a gradual one with at least one frame within the transition effect.

Field Summary
`int` | `matched` Indicates wether the transition has matched with another one during a comparison.
`int` | `post` The post frame: the first frame of the following shot without any content of the transition effect.
`int` | `pre` The pre frame: the last frame of a previous shot without any content of the transition effect.
`java.lang.String` | `type` The type of transition: could take the value "cut" and anything else stands for a gradual transition.

Constructor Summary
`Transition(int pre, int post, java.lang.String type)` Constructs Transition object with the given parameters.

Method Summary
`void` | `adjustPost(int shiftingAmount)` Sets the post frame value with the given shifting amount.
`void` | `adjustPre(int shiftingAmount)` Sets the pre frame value with the given shifting amount.
`static boolean` | `getConfusion(java.lang.String type1, java.lang.String type2)` Returns true if the given type has to be confused during a comparison.
`int` | `getPost()` Gets the post frame.
`int` | `getPre()` Gets the pre frame.
`boolean` | `intersected(Transition t)` Returns true if there is an intersection with the given transition.
`Transition` | `intersection(Transition t)` Returns a transition representing the intersection with the given transition.
`int` | `length()` Returns the length of the transition (post - pre).
`java.lang.String` | `refToString()` Returns an Xml style string of transition with the Xml element name euqal to "refTrans".
`boolean` | `sameType(Transition t)` Returns true if the given transition has the same type as the current instance regarding the setted confusions between types.
`static void` | `setConfusion(java.lang.String type1, java.lang.String type2)` Sets the confusion between one type and another.
`java.lang.String` | `sysToString()` Returns an Xml style string of transition with the Xml element name equal to "sysTrans".
`java.lang.String` | `toString()` Returns an Xml style string of transition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pre

    public int pre

  The pre frame: the last frame of a previous shot without any content of the transition effect.
  See Also:
    `getPre()`

### post

    public int post

  The post frame: the first frame of the following shot without any content of the transition effect.
  See Also:
    `getPost()`

### type

    public java.lang.String type

  The type of transition: could take the value "cut" and anything else stands for a gradual transition.

### matched

    public int matched

  Indicates wether the transition has matched with another one during a comparison.

Constructor Detail

### Transition

    public Transition(int pre,
                      int post,
                      java.lang.String type)
               throws TransitionDefinitionException

  Constructs Transition object with the given parameters.
  Parameters:
    `pre` - The pre frame of the transition.
    `post` - The post frame of the transition.
    `type` - The type of trnasition.
  Throws:
    `TransitionDefinitionException` - Thrown if the pre frame is not strictly less than the post frame.

Method Detail

### setConfusion

    public static void setConfusion(java.lang.String type1,
                                    java.lang.String type2)
                             throws TransitionDefinitionException

  Sets the confusion between one type and another. Note that anything else than "CUT" whatever the string case is considered as gradual...
  Parameters:
    `type1` - A first type of transition.
    `type2` - A second type of transition.
  Throws:
    `TransitionDefinitionException` - Thrown if one type checking returns an error.

### getConfusion

    public static boolean getConfusion(java.lang.String type1,
                                       java.lang.String type2)

  Returns true if the given type has to be confused during a comparison.
  Parameters:
    `type1` - A first type of transition.
    `type2` - A second type of transition.

### getPre

    public int getPre()

  Gets the pre frame.

### getPost

    public int getPost()

  Gets the post frame.

### sameType

    public boolean sameType(Transition t)

  Returns true if the given transition has the same type as the current instance regarding the setted confusions between types.

### adjustPre

    public void adjustPre(int shiftingAmount)

  Sets the pre frame value with the given shifting amount.

### adjustPost

    public void adjustPost(int shiftingAmount)

  Sets the post frame value with the given shifting amount.

### length

    public int length()

  Returns the length of the transition (post - pre).

### intersection

    public Transition intersection(Transition t)

  Returns a transition representing the intersection with the given transition.

### intersected

    public boolean intersected(Transition t)

  Returns true if there is an intersection with the given transition.

### toString

    public java.lang.String toString()

  Returns an Xml style string of transition.
  Overrides:
    `toString` in class `java.lang.Object`

### sysToString

    public java.lang.String sysToString()

  Returns an Xml style string of transition with the Xml element name equal to "sysTrans".

### refToString

    public java.lang.String refToString()

  Returns an Xml style string of transition with the Xml element name euqal to "refTrans".

Class | Tree | Deprecated | Index | Help
| Shot Boundary Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov